Skip to main content
GET
/
offers
Offers Consumer Listing
curl --request GET \
  --url https://api.sandbox.paylead.tech/offers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/offers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "name": "<string>",
      "reference": "MYBRAND-20180220-001",
      "type": "CASHBACK",
      "application_channel": "ONLINE",
      "application_url": "https://www.mybrand.fr",
      "brand": {
        "description": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "legal_terms": "<string>",
        "logo": {
          "content_type": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "links": {
            "download": "<string>",
            "preview": "<string>"
          },
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "name": "<string>",
        "universes": [
          {
            "children": "<array>",
            "id": "e2c32b4b-de61-459b-accf-a75f76247946",
            "name": "<string>",
            "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
          }
        ]
      },
      "description": "<string>",
      "end_date": "2018-12-21T00:00:00+00:00",
      "highlight_level": "HIGH",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "is_favorite": true,
      "legal_terms": "<string>",
      "max_discount_rate": 123,
      "max_value": 123,
      "min_value": 123,
      "picture": {
        "content_type": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "links": {
          "download": "<string>",
          "preview": "<string>"
        },
        "name": "<string>",
        "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "proposed_vouchers": [
        {
          "price": 123,
          "value": 123
        }
      ],
      "start_date": "2018-12-21T00:00:00+00:00",
      "voucher_modes": "<unknown>"
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

application_channel
enum<string>

Offer availability: ONLINE if the offer is online only. OFFLINE if the offer is offline only. BOTH if the offer is online and offline

Available options:
ONLINE,
OFFLINE,
BOTH
brand__name
string

Filter by brand__name

Name of the brand

brand_id
string<uuid>

Filter by brand_id

cashback_rate
number

Filter by cashback_rate

Rate of reward used to calculate cashback amount

created_at
string

Filter by created_at

Filtering on date of creation between -- after -- before --

end_date
string

Filter by end_date

Filtering on end date between -- after -- before --

highlight_level
enum<string>

Enum in: HIGHEST, HIGH, NORMAL. For a contextual display (banner, carousel etc...), this value is set by the program manager on each offer

Available options:
HIGHEST,
HIGH,
NORMAL
loyalty_frequency
integer

Filter by loyalty_frequency

Number of purchases before the customer gets a reward.

loyalty_frequency__gt
integer

Filters all loyalty_frequency higher than those provided in loyalty_frequency__gt.

loyalty_frequency__isnull
boolean

Filters all offers depending on whether they are a loyalty_offer or not. If "true", retrieves all the Offers that are not of loyalty type. If "false", retrieves all the Offers of loyalty type.

name
string

Filter by name

Name of the object

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
publication_date
string

Filter by publication_date

Filtering on publication date between -- after -- before --

reference
string

Filter by reference

Unique reference of the offer. Human readable, made out from the concatenation of the brand name + creation date + increment.

sort
enum<string>

Sort by given attribute

Available options:
created_at,
start_date,
end_date,
publication_date,
name,
reference,
type,
application_channel,
brand__name,
brand_id,
highlight_level,
status,
source_transaction,
cashback_rate,
universe,
loyalty_frequency,
-created_at,
-start_date,
-end_date,
-publication_date,
-name,
-reference,
-type,
-application_channel,
-brand__name,
-brand_id,
-highlight_level,
-status,
-source_transaction,
-cashback_rate,
-universe,
-loyalty_frequency
source_transaction
boolean

Filter by source_transaction

If this flag is true, the transaction must come from the default bank of the program to generate a reward

start_date
string

Filter by start_date

Filtering on start date between -- after -- before --

status
string

Filter by status

type
enum<string>

Filter by type

Available options:
CASHBACK,
UNIQUE_COUPON,
GENERIC_COUPON,
VOUCHER,
AFFILIATION,
LBS_CASHBACK
universe
string<uuid>

Filter by universe

Universe of the brand

Response

OK

items
object[]
meta
object